Description

up to now, the switch between the glutdevice and the glutsensordevice has to be done in the application base using some non

configurable predefined key.

One could refactor these both classes and extract a common glut Singleton, which uses the observer pattern to notify the input device

instances.

Furthermore the glut sensor device could also provide the mouse axis and a configuration for a key, which switches between the

sensor and the axis mode.

So you don't have to explicitly switch in the application base between these two devices, you just have to use the glutdevice just for

the keys and the glutsensordevice for the axis and the sensors.

History

#1 - 10/26/2010 08:05 PM - sam g

the tutorials need also to be changed:

- MedievalTown

- Goinglmmersive

#2 - 11/28/2010 06:25 PM - sam g

in general a change to a version without GLUT (the GlutMouseDevice uses the glut header which automatically links glut32) would be useful, e.g. for a

QT or a native Application Base Version.

#3 - 12/01/2010 09:27 AM - sam ¢
- Category set to Inputinterface

see also #26

#4 - 06/12/2011 04:13 PM - sam g

during the ticket #43 a general DesktoplnputDevice was created, which is an abstraction around Mouse, Keyboard and SensorMouse. Using concrete

implementations e.g. for glut or OpenSceneGraph the same input device can be used on different plattforms and environments.

05/17/2025

1/1




